"use strict";
// api prefix
// @author Pluto <huarse@gmail.com>
// @create 2020/07/01 11:11
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiPrefix = exports.isAbsolutePath = exports.domainMap = exports.env = void 0;
var meta = document.querySelector('meta[name="x-server-env"]');
// @ts-ignore
exports.env = (meta === null || meta === void 0 ? void 0 : meta.content) || 'dev';
// export const env = 'test';
// 域名配置
exports.domainMap = {
    dev: 'https://gateway.community-sit.easyj.top/user-center',
    sit: 'https://gateway.community-sit.easyj.top/user-center',
    production: 'https://gateway.pre.suosihulian.com/user-center',
    pre: 'https://gateway.pre.suosihulian.com/user-center',
};
/** 是否是相对路径 */
function isAbsolutePath(url) {
    return /^(https?:)?\/\//.test(url);
}
exports.isAbsolutePath = isAbsolutePath;
/**
 * 为相对路径请求地址加上 host 前缀
 * @param api 请求地址
 */
function apiPrefix(api) {
    // 如果是绝对路径，则跳过
    if (isAbsolutePath(api)) {
        return api;
    }
    // const domain = domain || 'xxx';
    var urlPrefix = exports.domainMap[exports.env];
    if (!urlPrefix) {
        return api;
    }
    return "".concat(urlPrefix).concat(api);
}
exports.apiPrefix = apiPrefix;
function apiPrefixMiddleware(ctx) {
    ctx.api = apiPrefix(ctx.api);
    return ctx.next();
}
exports.default = apiPrefixMiddleware;
